# $Revision: 1.37 $, $Date: 2009/03/18 15:25:36 $
Summary:	A Python BitTorrent client with support for UPnP and DHT
Summary(pl.UTF-8):	Klient BitTorrenta napisany w Pythonie ze wspraciem dla UPnP i DHT
Name:		deluge
Version:	1.1.5
Release:	1
License:	GPL v3
Group:		X11/Applications/Networking
Source0:	http://download.deluge-torrent.org/source/%{name}-%{version}.tar.bz2
# Source0-md5:	027fec63e189a39939df6777c0426814
URL:		http://deluge-torrent.org/
BuildRequires:	boost-devel >= 1.36.0
BuildRequires:	boost-python-devel >= 1.36.0
BuildRequires:	desktop-file-utils
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.311
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires:	/bin/sh
Requires:	hicolor-icon-theme
Requires:	python-dbus
Requires:	python-gnome-extras-mozilla
Requires:	python-pygtk-glade
Requires:	python-pyxdg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Deluge is a new BitTorrent client, created using Python and GTK+. It
is intended to bring a native, full-featured client to Linux GTK+
desktop environments such as GNOME and XFCE. It supports features such
as DHT (Distributed Hash Tables) and UPnP (Universal Plug-n-Play) that
allow one to more easily share BitTorrent data even from behind a
router with virtually zero configuration of port-forwarding.

%description -l pl.UTF-8
Deluge to nowy klient BitTorrenta stworzony przy użyciu Pythona i
GTK+. Jego celem jest dostarczenie natywnego, w pełni funkcjonalnego
klienta dla środowisk GTK+ pod Linuksem, takich jak GNOME czy XFCE.
Obsługuje m.in. DHT (Distributed Hash Tables) i UPnP (Universal
Plug-n-Play), co pozwala łatwiej współdzielić dane BitTorrenta nawet
zza routera praktycznie bez konfiguracji przekierowywania portów.

%prep
%setup -q

%build
%ifarch %{x8664} ppc64 sparc64
	CFLAGS="%{rpmcflags} -DAMD64" %{__python} setup.py build
%else
	CFLAGS="%{rpmcflags}" %{__python} setup.py build
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# move lang files into %{_datadir}/locale, find_lang does not work on
# this. Looks really ugly, if you know a better way please do use it :)
install -d $RPM_BUILD_ROOT%{_localedir}
mv -f $RPM_BUILD_ROOT%{py_sitedir}/%{name}/i18n/* $RPM_BUILD_ROOT%{_localedir}

# unsupported(?)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/iu
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/jv
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/la
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/pms
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/si

%{__rm} $RPM_BUILD_ROOT%{_localedir}/deluge.pot

# Remove *.py files. We don't package them.
find $RPM_BUILD_ROOT%{py_sitedir}/%{name} -type f -name '*.py' -print0 | xargs -0 rm -f

# Move svg icon to proper place
install -d $RPM_BUILD_ROOT%{_iconsdir}/hicolor/scalable/apps
mv -f $RPM_BUILD_ROOT%{_iconsdir}/scalable/apps/deluge.svg $RPM_BUILD_ROOT%{_iconsdir}/hicolor/scalable/apps/

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/deluge
%attr(755,root,root) %{_bindir}/deluged
%{_pixmapsdir}/%{name}.xpm
%dir %{py_sitedir}/%{name}
%dir %{py_sitedir}/%{name}/core
%dir %{py_sitedir}/%{name}/data
%dir %{py_sitedir}/%{name}/data/pixmaps
%dir %{py_sitedir}/%{name}/data/pixmaps/flags
%dir %{py_sitedir}/%{name}/plugins
%dir %{py_sitedir}/%{name}/ui
%dir %{py_sitedir}/%{name}/ui/console
%dir %{py_sitedir}/%{name}/ui/console/commands
%dir %{py_sitedir}/%{name}/ui/gtkui
%dir %{py_sitedir}/%{name}/ui/gtkui/glade
%dir %{py_sitedir}/%{name}/ui/webui
%dir %{py_sitedir}/%{name}/ui/webui/lib
%dir %{py_sitedir}/%{name}/ui/webui/lib/newforms_portable
%dir %{py_sitedir}/%{name}/ui/webui/lib/newforms_portable/django
%dir %{py_sitedir}/%{name}/ui/webui/lib/newforms_portable/django/core
%dir %{py_sitedir}/%{name}/ui/webui/lib/newforms_portable/django/utils
%dir %{py_sitedir}/%{name}/ui/webui/lib/webpy022
%dir %{py_sitedir}/%{name}/ui/webui/lib/webpy022/wsgiserver
%dir %{py_sitedir}/%{name}/ui/webui/scripts
%dir %{py_sitedir}/%{name}/ui/webui/static
%dir %{py_sitedir}/%{name}/ui/webui/static/images
%dir %{py_sitedir}/%{name}/ui/webui/static/images/16
%dir %{py_sitedir}/%{name}/ui/webui/templates
%dir %{py_sitedir}/%{name}/ui/webui/templates/ajax
%dir %{py_sitedir}/%{name}/ui/webui/templates/ajax/render
%dir %{py_sitedir}/%{name}/ui/webui/templates/ajax/render/html
%dir %{py_sitedir}/%{name}/ui/webui/templates/ajax/static
%dir %{py_sitedir}/%{name}/ui/webui/templates/ajax/static/css
%dir %{py_sitedir}/%{name}/ui/webui/templates/ajax/static/icons
%dir %{py_sitedir}/%{name}/ui/webui/templates/ajax/static/icons/16
%dir %{py_sitedir}/%{name}/ui/webui/templates/ajax/static/icons/32
%dir %{py_sitedir}/%{name}/ui/webui/templates/ajax/static/images
%dir %{py_sitedir}/%{name}/ui/webui/templates/ajax/static/js
%dir %{py_sitedir}/%{name}/ui/webui/templates/ajax/static/themes
%dir %{py_sitedir}/%{name}/ui/webui/templates/ajax/static/themes/classic
%dir %{py_sitedir}/%{name}/ui/webui/templates/ajax/static/themes/classic/mime_icons
%dir %{py_sitedir}/%{name}/ui/webui/templates/ajax/static/themes/white
%dir %{py_sitedir}/%{name}/ui/webui/templates/ajax/static/themes/white/mime_icons
%dir %{py_sitedir}/%{name}/ui/webui/templates/classic
%dir %{py_sitedir}/%{name}/ui/webui/templates/white
%attr(755,root,root) %{py_sitedir}/%{name}/*.so
%{py_sitedir}/%{name}/*.py[co]
%{py_sitedir}/%{name}/core/*.py[co]
%{py_sitedir}/%{name}/data/GeoIP.dat
%{py_sitedir}/%{name}/data/pixmaps/*.ico
%{py_sitedir}/%{name}/data/pixmaps/*.png
%{py_sitedir}/%{name}/data/pixmaps/*.svg
%{py_sitedir}/%{name}/data/pixmaps/flags/*.png
%{py_sitedir}/%{name}/plugins/*.py[co]
%{py_sitedir}/%{name}/ui/*.py[co]
%{py_sitedir}/%{name}/ui/console/*.py[co]
%{py_sitedir}/%{name}/ui/console/commands/*.py[co]
%{py_sitedir}/%{name}/ui/gtkui/*.py[co]
%{py_sitedir}/%{name}/ui/gtkui/glade/*.glade
%{py_sitedir}/%{name}/ui/webui/*.py[co]
%{py_sitedir}/%{name}/ui/webui/lib/*.py[co]
%{py_sitedir}/%{name}/ui/webui/lib/newforms_portable/*.py[co]
%{py_sitedir}/%{name}/ui/webui/lib/newforms_portable/django/*.py[co]
%{py_sitedir}/%{name}/ui/webui/lib/newforms_portable/django/core/*.py[co]
%{py_sitedir}/%{name}/ui/webui/lib/newforms_portable/django/utils/*.py[co]
%{py_sitedir}/%{name}/ui/webui/lib/webpy022/*.py[co]
%{py_sitedir}/%{name}/ui/webui/lib/webpy022/wsgiserver/*.py[co]
%{py_sitedir}/%{name}/ui/webui/scripts/*
%{py_sitedir}/%{name}/ui/webui/static/*.css
%{py_sitedir}/%{name}/ui/webui/static/*.js
%{py_sitedir}/%{name}/ui/webui/static/images/*.gif
%{py_sitedir}/%{name}/ui/webui/static/images/*.jpg
%{py_sitedir}/%{name}/ui/webui/static/images/*.png
%{py_sitedir}/%{name}/ui/webui/static/images/16/*.png
%{py_sitedir}/%{name}/ui/webui/templates/ajax/*.cfg
%{py_sitedir}/%{name}/ui/webui/templates/ajax/*.css
%{py_sitedir}/%{name}/ui/webui/templates/ajax/*.html
%{py_sitedir}/%{name}/ui/webui/templates/ajax/*.js
%{py_sitedir}/%{name}/ui/webui/templates/ajax/render/html/*.html
%{py_sitedir}/%{name}/ui/webui/templates/ajax/static/css/*.css
%{py_sitedir}/%{name}/ui/webui/templates/ajax/static/icons/16/*.png
%{py_sitedir}/%{name}/ui/webui/templates/ajax/static/icons/32/*.png
%{py_sitedir}/%{name}/ui/webui/templates/ajax/static/images/*.gif
%{py_sitedir}/%{name}/ui/webui/templates/ajax/static/js/*.js
%{py_sitedir}/%{name}/ui/webui/templates/ajax/static/themes/classic/*.css
%{py_sitedir}/%{name}/ui/webui/templates/ajax/static/themes/classic/*.png
%{py_sitedir}/%{name}/ui/webui/templates/ajax/static/themes/classic/mime_icons/*.png
%{py_sitedir}/%{name}/ui/webui/templates/ajax/static/themes/white/*.css
%{py_sitedir}/%{name}/ui/webui/templates/ajax/static/themes/white/*.png
%{py_sitedir}/%{name}/ui/webui/templates/ajax/static/themes/white/mime_icons/*.png
%{py_sitedir}/%{name}/ui/webui/templates/classic/*.cfg
%{py_sitedir}/%{name}/ui/webui/templates/classic/*.html
%{py_sitedir}/%{name}/ui/webui/templates/classic/*.js
%{py_sitedir}/%{name}/ui/webui/templates/classic/*.txt
%{py_sitedir}/%{name}/ui/webui/templates/white/*.cfg
%{py_sitedir}/%{name}/ui/webui/templates/white/*.css
%{py_sitedir}/%{name}/ui/webui/templates/white/*.html
%{py_sitedir}/%{name}-%{version}-py*.egg-info
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/deluge.png
%{_iconsdir}/hicolor/22x22/apps/deluge.png
%{_iconsdir}/hicolor/24x24/apps/deluge.png
%{_iconsdir}/hicolor/32x32/apps/deluge.png
%{_iconsdir}/hicolor/36x36/apps/deluge.png
%{_iconsdir}/hicolor/48x48/apps/deluge.png
%{_iconsdir}/hicolor/64x64/apps/deluge.png
%{_iconsdir}/hicolor/72x72/apps/deluge.png
%{_iconsdir}/hicolor/96x96/apps/deluge.png
%{_iconsdir}/hicolor/128x128/apps/deluge.png
%{_iconsdir}/hicolor/192x192/apps/deluge.png
%{_iconsdir}/hicolor/scalable/apps/deluge.svg
%{_mandir}/man1/deluge.1*
%{_mandir}/man1/deluged.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: deluge.spec,v $
Revision 1.37  2009/03/18 15:25:36  duddits
- up to 1.1.5
- new Source0 URL

Revision 1.36  2009/03/13 21:42:03  hawk
- release 2

Revision 1.35  2009/03/11 18:57:54  duddits
- up to 1.1.4

Revision 1.34  2009/02/17 09:23:39  duddits
- up to 1.1.3

Revision 1.33  2009/02/05 21:13:05  duddits
- rel. 2, more unsupported locales

Revision 1.32  2009/02/05 15:54:14  duddits
- up to 1.1.2

Revision 1.31  2009/01/28 18:38:35  duddits
- up to 1.1.1

Revision 1.30  2009/01/22 08:51:00  duddits
- rel. 1, works

Revision 1.29  2009/01/19 13:42:51  duddits
- missing %dir

Revision 1.28  2009/01/19 13:14:18  duddits
- up to 1.1.0
- %install tune-ups
- more %files

Revision 1.27  2009/01/11 22:02:32  duddits
- up to 1.0.7
- GPL v3
- %files tune-up

Revision 1.26  2008/12/05 17:24:10  qboosh
- use find_lang
- files fix

Revision 1.25  2008/12/04 15:07:07  duddits
- up to 1.0.6
- TODO removed (looks like it uses its own libtorrent module anyway)
- patch obsoleted

Revision 1.24  2008/11/14 09:26:46  glen
- BR setuptools. LP#297844

Revision 1.23  2008/11/13 14:02:34  duddits
- BR: openssl-devel

Revision 1.22  2008/11/13 11:06:21  duddits
- lang files moved to %{_localedir} by hand
- BR updated
- *.py cleaning

Revision 1.21  2008/11/12 16:04:27  duddits
- up to 1.0.5
- TODO added
- more verbose %files
- patch for libtorrent module added

Revision 1.20  2008/05/20 21:57:21  sls
- rel. 1 (why 0.9 previously?)
- rm Piemontese lolale
- don't package hicolor/256x256 icons (hicolor-icons-theme doesn't provides proper dir)

Revision 1.19  2008-05-20 21:51:10  sls
- ver. 0.5.9.1

Revision 1.18  2008-05-08 20:37:15  dzeus
- up to 0.5.9.0

Revision 1.17  2008-04-29 14:06:06  pluto
- reorganize boost BRs (boost-devel >= 1.35.0).

Revision 1.16  2008-01-29 13:35:12  blues
- unsupported latin locale?

Revision 1.15  2008-01-29 13:05:00  blues
- 0.5.8.3

Revision 1.14  2008-01-24 22:31:11  blues
- rel.2

Revision 1.13  2008-01-24 12:51:21  blues
- 0.5.8.1

Revision 1.12  2008-01-03 14:57:16  qboosh
- removed obsolete pyc patch
- GPL v2+

Revision 1.11  2008-01-03 13:39:34  qboosh
- hicolor deps

Revision 1.10  2007-12-31 02:52:15  aredridel
- BR: boost-array-devel, boost-filesystem-devel, boost-date_time-devel

Revision 1.9  2007-12-31 02:02:01  aredridel
-R: python-gnome-extras-mozilla

Revision 1.8  2007-12-31 01:50:42  aredridel
- 0.5.8

Revision 1.7  2007-09-10 00:37:39  aflinta
- up to 0.5.5

Revision 1.6  2007/08/25 09:31:47  dzeus
- up to 0.5.4.1

Revision 1.5  2007/07/30 20:24:33  qboosh
- working Source0 URL

Revision 1.4  2007/07/30 20:21:53  jareq
- updated to 0.5.3
- added deluge-pld.patch to build with proper boost library name
- rel 1

Revision 1.3  2007/03/30 20:12:36  qboosh
- pl desc, cleanup

Revision 1.2  2007/03/18 20:13:01  glen
- use source that exists
- cleanups, unfortunately can't build to test

Revision 1.1  2007/03/18 19:15:20  czarny
- new
- stollen from Fedora - muwwahahah :>
- strange - some patch there, not sure what it does - needs investigation
- builds, works
